=== debian/changelog ===
syft (1.40.0+ds-1) unstable; urgency=low

  * Initial release (Closes: #1124819)

 -- Juan Manuel Mendez Rey <vejeta@gmail.com>  Fri, 09 Jan 2026 16:17:00 +0100
