=== debian/control ===
Source: syft
Section: devel
Priority: optional
Maintainer: Juan Manuel Mendez Rey <vejeta@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any (>= 2:1.22~),
Standards-Version: 4.7.3
Homepage: https://github.com/anchore/syft
Vcs-Browser: https://salsa.debian.org/mendezr/syft
Vcs-Git: https://salsa.debian.org/mendezr/syft.git
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/anchore/syft

Package: syft
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Static-Built-Using: ${misc:Static-Built-Using}
Description: CLI tool for generating Software Bill of Materials (SBOM)
 Syft is a CLI tool and Go library for generating a Software Bill of
 Materials (SBOM) from container images and filesystems.
 .
 Features include:
  - Generates SBOMs for container images, filesystems, archives, and more
  - Supports multiple package ecosystems (Alpine, Debian, RPM, Go, Python,
    Java, JavaScript, Ruby, Rust, PHP, .NET, and more)
  - Multiple output formats: SPDX, CycloneDX, Syft JSON
  - Integration with Grype for vulnerability scanning
