=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/syft-$1\.tar\.gz/,dversionmangle=s/\+ds$// \
  https://github.com/anchore/syft/tags .*/v?(\d[\d.]+)\.tar\.gz
