=== debian/changelog ===
syft (1.40.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.40.1+ds

 -- Sophie Brun <sophie@kali.org>  Tue, 20 Jan 2026 16:31:54 +0100
